<?php
namespace Teknisa\SUP\Modules\Cotacao\Modules\PlanilhaCotacao\Controllers;

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;

class Sup07000LogDeCotacaoController extends \Zeedhi\Framework\Controller\Report
{
    protected $entityManager;
    protected $qr2Strategy;
    protected $newCode;
    protected $environment;
    protected $connection;
    protected $birtStrategy;
    
    public function __construct($reportService, $entityManager, $qr2Strategy, $environment, $birtStrategy)
    {
        $this->entityManager       = $entityManager;
        $this->qr2Strategy         = $qr2Strategy;
        $this->reportService       = $reportService;
        $this->environment         = $environment;
        $this->birtStrategy        = $birtStrategy;
    }
        
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response)
    {
        $row = $request->getRow();
        $row['NRORG'] = $this->environment->getNrOrg();
        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);
        $this->stNomeRel = $this->getReportName($row);
        $this->birtStrategy->setReportFormat(strtolower($row['QR2TYPE']));

        $this->reportMapping[$this->stNomeRel] =
            array (
            'strategy' => 'BIRT',
            'parameterMapping' =>
            array (
                "OPERADOR"      => "L_CDOPERADOR",
                "P_DATAINIC"    => "P_DATAINIC",
                "P_DATAFINA"    => "P_DATAFINA",
                "DTINI"         => "P_DTI",
                "DTFIM"         => "P_DTF",
                "NR_COTACAO"    => "P_NRCOLEPRLOG",
                "NRORG"         => "P_NRORG"
                
            ),
        );
    }
}
